Bug 985359 (CVE-2013-4213) - CVE-2013-4213 JBoss ejb-client: Session fixation due improper connection caching
Summary: CVE-2013-4213 JBoss ejb-client: Session fixation due improper connection caching
Status: CLOSED ERRATA
Alias: CVE-2013-4213
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20130627,repo...
Keywords: Reopened, Security
Depends On: 985266 985267
Blocks: 970481 985188
TreeView+ depends on / blocked
 
Reported: 2013-07-17 10:44 UTC by Arun Babu Neelicattu
Modified: 2016-03-04 11:50 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 01:45:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1151 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.1.0 security update 2013-08-12 22:31:53 UTC
Red Hat Product Errata RHSA-2013:1152 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.1.0 security update 2013-08-12 22:31:40 UTC
Red Hat Product Errata RHSA-2013:1437 normal SHIPPED_LIVE Important: Red Hat JBoss Portal 6.1.0 update 2013-10-16 20:53:32 UTC

Description Arun Babu Neelicattu 2013-07-17 10:44:49 UTC
A flaw was discovered in the way connections for remote EJB invocations via the EJB client API were cached on the server. A remote attacker could exploit this flaw by using an EJB client to get a previously authenticated connection.

Comment 9 Murray McAllister 2013-08-12 07:37:13 UTC
Acknowledgements:

This issue was discovered by Wolf-Dieter Fink of the Red Hat GSS Team.

Comment 10 errata-xmlrpc 2013-08-12 18:33:28 UTC
This issue has been addressed in following products:

  Red Hat JBoss Enterprise Application Platform 6.1.0

Via RHSA-2013:1152 https://rhn.redhat.com/errata/RHSA-2013-1152.html

Comment 11 errata-xmlrpc 2013-08-12 18:33:51 UTC
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5
  JBEAP 6 for RHEL 6

Via RHSA-2013:1151 https://rhn.redhat.com/errata/RHSA-2013-1151.html

Comment 14 errata-xmlrpc 2013-10-16 16:59:19 UTC
This issue has been addressed in following products:

  Red Hat JBoss Portal 6.1.0

Via RHSA-2013:1437 https://rhn.redhat.com/errata/RHSA-2013-1437.html


Note You need to log in before you can comment on or make changes to this bug.